Ben
Burton
bab@debian.org
7. marts, 2003
addebug
1

# `addebug`

Ændrer `Makefile` for at tilføje fejlsøgningsinformation

    adddebug -k -r -n

## Beskrivelse

`adddebug` ændrer `Makefile` i nuværende katalog (og valgfrit i dets underkataloger) for at tilføje fejlsøgningsinformation (`-g3`). Det fjerner også bort optimering (`-O[1-9]`).

Værktøjet er en del af &kde;'s programmeludviklingsmiljø.

## Tilvalg

`-k`

  Behold optimering (fjern ikke flaget `-O[1-9]?` som normalt fjernes).

`-r`

  Søg rekursivt gennem alle underkataloger for nuværende mappe og udfør handlingen for hver `Makefile` som findes.

`-n`

  Kompilér uden at NDEBUG og NO_DEBUG er defineret (gør at kald til `kdDebug` virker).